%{?nodejs_find_provides_and_requires}

%global packagename promises-aplus-tests
%global enable_tests 1

Name:		nodejs-promises-aplus-tests
Version:	2.1.1
Release:	1%{?dist}
Summary:	Compliance test suite for Promises/A+

License:	WTFPL
URL:		https://github.com/promises-aplus/promises-tests.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(underscore)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Compliance test suite for Promises/A+


%prep
%setup -q -n package

%nodejs_fixdep mocha
%nodejs_fixdep underscore '^1.8.3'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Nov 11 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
